Package net.shibboleth.profile.module

# Enum Class Module.ResourceResult

java.lang.Object
java.lang.Enum<Module.ResourceResult>
net.shibboleth.profile.module.Module.ResourceResult

All Implemented Interfaces:
  `Serializable`, `Comparable<Module.ResourceResult>`, `Constable`

Enclosing interface:
  Module

public static enum Module.ResourceResult extends Enum<Module.ResourceResult>
Resource management outcome.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDED`
Resource was created alongside original.
`CREATED`
Resource was created.
`MISSING`
Resource was missing.
`REMOVED`
Resource was removed.
`REPLACED`
Resource was created and old resource saved.
`SAVED`
Old resource was preserved.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ResourceResult()`

## Method Summary

Modifier and Type
Method
Description
`static Module.ResourceResult`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Module.ResourceResult[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATED

public static final Module.ResourceResult CREATED
Resource was created.

### REPLACED

public static final Module.ResourceResult REPLACED
Resource was created and old resource saved.

### ADDED

public static final Module.ResourceResult ADDED
Resource was created alongside original.

### REMOVED

public static final Module.ResourceResult REMOVED
Resource was removed.

### SAVED

public static final Module.ResourceResult SAVED
Old resource was preserved.

### MISSING

public static final Module.ResourceResult MISSING
Resource was missing.

## Constructor Details

### ResourceResult

private ResourceResult()

## Method Details

### values

public static Module.ResourceResult[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Module.ResourceResult valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null